## tdb 1.2.9

=== debian/changelog ===
tdb (1.2.9-4~bpo60+1) squeeze-backports; urgency=low

  * Squeeze backport
  * Drop some multiarch-related changes in *.install files and lower
    debhelper dependency to 8

 -- Christian Perrier <bubulle@debian.org>  Sun, 05 Feb 2012 18:49:54 +0100

tdb (1.2.9-4) unstable; urgency=low

  * Explicitly use dh_python2.
  * Use system Python. Closes: #577435

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 25 Sep 2011 19:13:08 +0200

tdb (1.2.9-3) unstable; urgency=low

  * Upload to unstable.
  * Use new style debhelper.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 28 Jul 2011 16:30:26 +0200

tdb (1.2.9-2) experimental; urgency=low

  * Add python-tdb-dbg and libtdb1-dbg packages.
  * Bump standards version to 3.9.2.
  * Use --disable-rpath-install only, simplifies testsuite running.
  * Switch from dh_pycentral to dh_python2. Closes: #617120
  * Drop transitional package tdb-dev.
  * Add support for multiarch to libtdb1.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 26 Jul 2011 20:36:40 +0200

tdb (1.2.9-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 23 Jan 2011 22:23:33 -0800

tdb (1.2.8-1) unstable; urgency=low

  * New upstream release.
   + Introduces symbol versioning.
  * Switch to python-support.
  * Run testsuite during build.
  * Link with --as-needed.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 21 Dec 2010 19:30:08 +0100

tdb (1.2.7+git20101021-1) unstable; urgency=low

  * New upstream snapshot.
   + Removes use of _PUBLIC_ from tdb.h. Closes: #600898

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 21 Oct 2010 16:38:46 +0200

tdb (1.2.7-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 04 Oct 2010 21:55:48 +0200

tdb (1.2.3~git20100819-1) experimental; urgency=low

  * New upstream snapshot.
  * Bump standards version to 3.9.1 (no changes).
  * Switch to bzr.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 22 Aug 2010 14:21:07 +0200

tdb (1.2.2~git20100507-1) experimental; urgency=low

  * New upstream snapshot.
  * Build with standard system python. Closes: #577435
  * Remove `tdb_transaction_recover` symbol which was also removed upstream. 
    This symbol was never intended to be public and would have been hard to 
    use anyway.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 13 May 2010 18:42:16 +0200

tdb (1.2.1-2) unstable; urgency=low

  * Add missing build dependency on xsltproc, docbook-xsl. Closes:
    #570950

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 22 Feb 2010 14:28:59 +0100

tdb (1.2.1-1) unstable; urgency=low

  * New upstream release.
   + Adds manual pages for tdb-tools. Closes: #557819
  * Use source format 3.
  * Bump standards version to 3.8.4.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 22 Feb 2010 03:24:06 +0100

tdb (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * Rename tdb-dev -> libtdb-dev.
  * Bump standards version to 3.8.3.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 07 Dec 2009 22:18:51 +0100

tdb (1.1.5-2) unstable; urgency=low

  * Provide a symbols file.
  * Provide deprecated replacement of public tdb_logging_function symbol 
    removed upstream without soname bump. Closes: #511011
  * Fix use of --as-needed.
  * Bump standards version to 3.8.2.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 18 Jul 2009 12:15:43 +0200

tdb (1.1.5-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 17 Jun 2009 16:57:30 +0200

tdb (1.1.4~git20090604-1) experimental; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 05 Jun 2009 00:54:27 +0200

tdb (1.1.3-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.8.1.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 16 May 2009 03:39:51 +0200

tdb (1.1.3~git20090221-1) unstable; urgency=low

  * New upstream snapshot.
  * Upload to unstable.
  * Link with --as-needed.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 21 Feb 2009 17:27:45 +0100

tdb (1.1.3~git20081222-2) experimental; urgency=low

  * Switch to python-central.
  * Add dummy watchfile explaining how to obtain an upstream tarball.
  * Fix version number. (Closes: #510885)
  * Bump shlibs because of newly added tdb_repack() symbol. (Closes: #510886)
  * Remove use of absolute paths per policy §6.1. (Closes: #510944)

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 25 Jan 2009 00:13:16 +0100

tdb (1.1.2~git20081222-1) unstable; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@samba.org>  Mon, 22 Dec 2008 23:59:23 +0100

tdb (1.1.2~git20080615-1) unstable; urgency=low

  * New upstream snapshot.
  * Bump standards version to 3.8.0.

 -- Jelmer Vernooij <jelmer@samba.org>  Mon, 16 Jun 2008 00:41:17 +0200

tdb (1.1.2~git20080521-1) unstable; urgency=low

  * New upstream snapshot.
  * Fix soname symlink. (Closes: #482008, Closes: #482228)

 -- Jelmer Vernooij <jelmer@samba.org>  Wed, 21 May 2008 17:41:28 +0200

tdb (1.1.2~git20080520-1) unstable; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@samba.org>  Tue, 20 May 2008 01:52:37 +0200

tdb (1.1.1~svn26294-2) unstable; urgency=low

  * Add patch to clear spinlocks if set and opening a TDB in write mode. 
    (Closes: #425716)
  * Change tdb-dev section to libdevel.

 -- Jelmer Vernooij <jelmer@samba.org>  Tue, 25 Mar 2008 21:43:50 +0100

tdb (1.1.1~svn26294-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * 10_include_signalh.diff (Closes: #460302).
    + Include signal.h in tdb.h.
  * Re-add manpages. (Closes: #439809).
    + Fix manpage sections.
    + Escape hyphens as minus signs.
  * Fix return value in tdb_delete.3. (Closes: #385389).
  * Add ${shlibs:Depends} on python-tdb package.

 -- Barry deFreese <bddebian@comcast.net>  Sat, 08 Mar 2008 22:34:03 -0500

tdb (1.1.1~svn26294-1) unstable; urgency=low

  * New upstream snapshot.
  * Set Vcs-Svn field.
  * Support building twice in a row. (Closes: #442743)

