=== debian/changelog ===
tdb (1.2.10-2ubuntu1) raring; urgency=low

  * Fix FTBFS: use shebang for python2.x-config instead of assuming that it is
    a Python script (LP: #1108983). 

 -- Robie Basak <robie.basak@canonical.com>  Tue, 29 Jan 2013 15:34:41 +0000

tdb (1.2.10-2) unstable; urgency=high

  [ Ivo De Decker ]
  * Make transaction-expand test non-fatal. Fixes FTBFS. Closes: #674749
  * Fix version in symbols file to make lintian happy.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 28 May 2012 00:16:23 +0200

tdb (1.2.10-1.1) unstable; urgency=high

  * Fix version in symbols file to make lintian happy.

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sun, 27 May 2012 12:55:11 +0200

tdb (1.2.10-1) unstable; urgency=low

  * debian/rules: Remove unnecessary clean: target.
  * Properly clean up after building.
  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 11 Apr 2012 15:46:13 +0200

tdb (1.2.9+git20120207-2) unstable; urgency=low

  * Bump standards version to 3.9.3 (no changes).
  * Use parseable format for copyright file.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 28 Feb 2012 15:45:33 +0100

tdb (1.2.9+git20120207-1) unstable; urgency=low

  * New upstream snapshot.
   + Unpacks waf sourcecode. Closes: #654509
   + Fixes build issues when IOV_MAX is not available, as is
     the case on Hurd systems. Closes: #657021

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 07 Feb 2012 14:38:34 +0100
