=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: tdb
 Section: devel
 Priority: optional
-Maintainer: Jelmer Vernooij <jelmer@debian.org>
-Build-Depends: debhelper (>= 8),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jelmer Vernooij <jelmer@debian.org>
+Build-Depends: debhelper (>= 8.1.3),
                docbook-xml,
                docbook-xsl,
                python-all-dbg (>= 2.6.6-3),
                python-all-dev (>= 2.6.6-3),
                xsltproc
 Homepage: http://tdb.samba.org/
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Bzr: http://bzr.debian.org/pkg-samba/tdb/unstable
 
 Package: libtdb1
