=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 LDFLAGS += -Wl,--as-needed
 
 DESTDIR=$(CURDIR)/debian/tmp
-export PYTHON="$(shell which `pyversions -d`)"
+export PYTHON=$(shell which `pyversions -d`)
 export PYTHON_CONFIG=$(PYTHON)-config
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
@@ -23,7 +23,7 @@
 override_dh_auto_configure:
 	PYTHON="$(PYTHON)" PYTHON_CONFIG="$(PYTHON_CONFIG)" CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --disable-rpath-install --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
 
-get-orig-source:
+get-packaged-orig-source:
 	./debian/build-orig.sh
 
 override_dh_python2:
@@ -38,18 +38,22 @@
 endif
 
 override_dh_auto_clean:
-clean:
-	rm -f build-stamp configure-stamp
 	[ ! -f Makefile ] || $(MAKE) distclean
 	rm -rf build
-	rm -f buildtools/wafsamba/*.pyc
-	rm -rf buildtools/bin/.waf*
+	# Waf should be doing this; see
+	# https://bugzilla.samba.org/show_bug.cgi?id=8854
+	rm -f .lock-wscript
+	# Waf should be doing this; see
+	# https://bugzilla.samba.org/show_bug.cgi?id=8855
+	rm -f buildtools/wafsamba/*.pyc \
+		  buildtools/wafadmin/*.pyc \
+		  buildtools/wafadmin/Tools/*.pyc
 
 override_dh_auto_install:
 	$(MAKE) install DESTDIR=$(DESTDIR)
 	# Waf should be doing this..
 	ar cr libtdb.a bin/default/common/*.o
-	cp libtdb.a $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)
+	mv libtdb.a $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)
 	mv $(DESTDIR)/usr/bin/tdbbackup \
 		$(DESTDIR)/usr/bin/tdbbackup.tdbtools
 	mv $(DESTDIR)//usr/share/man/man8/tdbbackup.8 \
