=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: tdb
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jelmer Vernooij <jelmer@debian.org>
+Maintainer: Jelmer Vernooij <jelmer@debian.org>
 Build-Depends: debhelper (>= 8.1.3),
                docbook-xml,
                docbook-xsl,
@@ -11,7 +10,7 @@
                xsltproc
 Homepage: http://tdb.samba.org/
 Standards-Version: 3.9.3
-Vcs-Bzr: http://bzr.debian.org/pkg-samba/tdb/unstable
+Vcs-Git: git://git.debian.org/pkg-samba/tdb.git
 
 Package: libtdb1
 Pre-Depends: ${misc:Pre-Depends}
