## tdb 1.2.12

=== debian/changelog ===
tdb (1.2.12-1) unstable; urgency=low

  [ Andrew Bartlett ]
  * New upstream release.
   + Drop 08_waf_python_config integrated upstream.
   + Fixes two FTBFS bugs. Closes: #710342, #713098

  [ Jelmer Vernooij ]
  * Migrate to Git.
  * Bump standards version to 3.9.4.
  * Fix duplicate line in copyright file.
  * Use dpkg-buildflags, enabling hardening.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 11 Aug 2013 13:37:12 +0000
