=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python-all-dev (>= 2.6.6-3),
                xsltproc
 Homepage: http://tdb.samba.org/
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/pkg-samba/tdb.git
 
 Package: libtdb1
