=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tdb
 Section: devel
 Priority: optional
-Maintainer: Jelmer Vernooij <jelmer@debian.org>
+Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
+Uploaders: Jelmer Vernooij <jelmer@debian.org>
 Build-Depends: debhelper (>= 8.1.3),
                docbook-xml,
                docbook-xsl,
@@ -9,13 +10,14 @@
                python-all-dev (>= 2.6.6-3),
                xsltproc
 Homepage: http://tdb.samba.org/
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://git.debian.org/pkg-samba/tdb.git
+XS-Testsuite: autopkgtest
 
 Package: libtdb1
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
-Architecture: any
+Architecture: linux-any kfreebsd-any
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Trivial Database - shared library
@@ -27,7 +29,7 @@
 
 Package: tdb-tools
 Section: utils
-Architecture: any
+Architecture: linux-any kfreebsd-any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Trivial Database - bundled binaries
  This is a simple database API. It is modelled after the structure
@@ -41,7 +43,7 @@
 Replaces: tdb-dev (<< 1.2.0-1)
 Conflicts: tdb-dev (<< 1.2.0-1)
 Section: libdevel
-Architecture: any
+Architecture: linux-any kfreebsd-any
 Depends: libc6-dev, libtdb1 (= ${binary:Version}), ${misc:Depends}
 Description: Trivial Database - development files
  This is a simple database API. It is modelled after the structure
@@ -52,7 +54,7 @@
 
 Package: libtdb1-dbg
 Section: debug
-Architecture: any
+Architecture: linux-any kfreebsd-any
 Priority: extra
 Depends: libtdb1 (= ${binary:Version}), ${misc:Depends}
 Recommends: libc6-dbg
@@ -65,7 +67,7 @@
 
 Package: python-tdb
 Section: python
-Architecture: any
+Architecture: linux-any kfreebsd-any
 Depends: libtdb1 (= ${binary:Version}),
          ${misc:Depends},
          ${python:Depends},
@@ -80,7 +82,7 @@
 
 Package: python-tdb-dbg
 Section: debug
-Architecture: any
+Architecture: linux-any kfreebsd-any
 Priority: extra
 Depends: python-tdb (= ${binary:Version}),
          ${misc:Depends},
